"Fossies" - the Fresh Open Source Software Archive

Member "pure-ftpd-1.0.49/Makefile.in" (3 Apr 2019, 28870 Bytes) of package /linux/misc/pure-ftpd-1.0.49.tar.gz:


As a special service "Fossies" has tried to format the requested text file into HTML format (style: standard) with prefixed line numbers. Alternatively you can here view or download the uninterpreted source code file. See also the latest Fossies "Diffs" side-by-side code changes report for "Makefile.in": 1.0.48_vs_1.0.49.

    1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
    2 # @configure_input@
    3 
    4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
    5 
    6 # This Makefile.in is free software; the Free Software Foundation
    7 # gives unlimited permission to copy and/or distribute it,
    8 # with or without modifications, as long as this notice is preserved.
    9 
   10 # This program is distributed in the hope that it will be useful,
   11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
   12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
   13 # PARTICULAR PURPOSE.
   14 
   15 @SET_MAKE@
   16 
   17 VPATH = @srcdir@
   18 am__is_gnu_make = { \
   19   if test -z '$(MAKELEVEL)'; then \
   20     false; \
   21   elif test -n '$(MAKE_HOST)'; then \
   22     true; \
   23   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
   24     true; \
   25   else \
   26     false; \
   27   fi; \
   28 }
   29 am__make_running_with_option = \
   30   case $${target_option-} in \
   31       ?) ;; \
   32       *) echo "am__make_running_with_option: internal error: invalid" \
   33               "target option '$${target_option-}' specified" >&2; \
   34          exit 1;; \
   35   esac; \
   36   has_opt=no; \
   37   sane_makeflags=$$MAKEFLAGS; \
   38   if $(am__is_gnu_make); then \
   39     sane_makeflags=$$MFLAGS; \
   40   else \
   41     case $$MAKEFLAGS in \
   42       *\\[\ \	]*) \
   43         bs=\\; \
   44         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
   45           | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
   46     esac; \
   47   fi; \
   48   skip_next=no; \
   49   strip_trailopt () \
   50   { \
   51     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
   52   }; \
   53   for flg in $$sane_makeflags; do \
   54     test $$skip_next = yes && { skip_next=no; continue; }; \
   55     case $$flg in \
   56       *=*|--*) continue;; \
   57         -*I) strip_trailopt 'I'; skip_next=yes;; \
   58       -*I?*) strip_trailopt 'I';; \
   59         -*O) strip_trailopt 'O'; skip_next=yes;; \
   60       -*O?*) strip_trailopt 'O';; \
   61         -*l) strip_trailopt 'l'; skip_next=yes;; \
   62       -*l?*) strip_trailopt 'l';; \
   63       -[dEDm]) skip_next=yes;; \
   64       -[JT]) skip_next=yes;; \
   65     esac; \
   66     case $$flg in \
   67       *$$target_option*) has_opt=yes; break;; \
   68     esac; \
   69   done; \
   70   test $$has_opt = yes
   71 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
   72 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
   73 pkgdatadir = $(datadir)/@PACKAGE@
   74 pkgincludedir = $(includedir)/@PACKAGE@
   75 pkglibdir = $(libdir)/@PACKAGE@
   76 pkglibexecdir = $(libexecdir)/@PACKAGE@
   77 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
   78 install_sh_DATA = $(install_sh) -c -m 644
   79 install_sh_PROGRAM = $(install_sh) -c
   80 install_sh_SCRIPT = $(install_sh) -c
   81 INSTALL_HEADER = $(INSTALL_DATA)
   82 transform = $(program_transform_name)
   83 NORMAL_INSTALL = :
   84 PRE_INSTALL = :
   85 POST_INSTALL = :
   86 NORMAL_UNINSTALL = :
   87 PRE_UNINSTALL = :
   88 POST_UNINSTALL = :
   89 subdir = .
   90 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
   91 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_check_compile_flag.m4 \
   92 	$(top_srcdir)/m4/ax_check_link_flag.m4 \
   93 	$(top_srcdir)/m4/getloadavg.m4 $(top_srcdir)/configure.ac
   94 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
   95 	$(ACLOCAL_M4)
   96 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
   97 	$(am__configure_deps) $(am__DIST_COMMON)
   98 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
   99  configure.lineno config.status.lineno
  100 mkinstalldirs = $(install_sh) -d
  101 CONFIG_HEADER = config.h
  102 CONFIG_CLEAN_FILES = pure-ftpd.conf
  103 CONFIG_CLEAN_VPATH_FILES =
  104 AM_V_P = $(am__v_P_@AM_V@)
  105 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
  106 am__v_P_0 = false
  107 am__v_P_1 = :
  108 AM_V_GEN = $(am__v_GEN_@AM_V@)
  109 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
  110 am__v_GEN_0 = @echo "  GEN     " $@;
  111 am__v_GEN_1 = 
  112 AM_V_at = $(am__v_at_@AM_V@)
  113 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
  114 am__v_at_0 = @
  115 am__v_at_1 = 
  116 SOURCES =
  117 DIST_SOURCES =
  118 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
  119 	ctags-recursive dvi-recursive html-recursive info-recursive \
  120 	install-data-recursive install-dvi-recursive \
  121 	install-exec-recursive install-html-recursive \
  122 	install-info-recursive install-pdf-recursive \
  123 	install-ps-recursive install-recursive installcheck-recursive \
  124 	installdirs-recursive pdf-recursive ps-recursive \
  125 	tags-recursive uninstall-recursive
  126 am__can_run_installinfo = \
  127   case $$AM_UPDATE_INFO_DIR in \
  128     n|no|NO) false;; \
  129     *) (install-info --version) >/dev/null 2>&1;; \
  130   esac
  131 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  132 am__vpath_adj = case $$p in \
  133     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  134     *) f=$$p;; \
  135   esac;
  136 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  137 am__install_max = 40
  138 am__nobase_strip_setup = \
  139   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  140 am__nobase_strip = \
  141   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  142 am__nobase_list = $(am__nobase_strip_setup); \
  143   for p in $$list; do echo "$$p $$p"; done | \
  144   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  145   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  146     if (++n[$$2] == $(am__install_max)) \
  147       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  148     END { for (dir in files) print dir, files[dir] }'
  149 am__base_list = \
  150   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  151   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  152 am__uninstall_files_from_dir = { \
  153   test -z "$$files" \
  154     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  155     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  156          $(am__cd) "$$dir" && rm -f $$files; }; \
  157   }
  158 am__installdirs = "$(DESTDIR)$(docdir)"
  159 DATA = $(doc_DATA)
  160 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  161   distclean-recursive maintainer-clean-recursive
  162 am__recursive_targets = \
  163   $(RECURSIVE_TARGETS) \
  164   $(RECURSIVE_CLEAN_TARGETS) \
  165   $(am__extra_recursive_targets)
  166 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
  167 	cscope distdir distdir-am dist dist-all distcheck
  168 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
  169 	$(LISP)config.h.in
  170 # Read a list of newline-separated strings from the standard input,
  171 # and print each of them once, without duplicates.  Input order is
  172 # *not* preserved.
  173 am__uniquify_input = $(AWK) '\
  174   BEGIN { nonempty = 0; } \
  175   { items[$$0] = 1; nonempty = 1; } \
  176   END { if (nonempty) { for (i in items) print i; }; } \
  177 '
  178 # Make sure the list of sources is unique.  This is necessary because,
  179 # e.g., the same source file might be shared among _SOURCES variables
  180 # for different programs/libraries.
  181 am__define_uniq_tagged_files = \
  182   list='$(am__tagged_files)'; \
  183   unique=`for i in $$list; do \
  184     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  185   done | $(am__uniquify_input)`
  186 ETAGS = etags
  187 CTAGS = ctags
  188 CSCOPE = cscope
  189 DIST_SUBDIRS = $(SUBDIRS)
  190 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
  191 	$(srcdir)/pure-ftpd.conf.in AUTHORS COPYING ChangeLog INSTALL \
  192 	NEWS README THANKS compile depcomp install-sh missing
  193 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  194 distdir = $(PACKAGE)-$(VERSION)
  195 top_distdir = $(distdir)
  196 am__remove_distdir = \
  197   if test -d "$(distdir)"; then \
  198     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
  199       && rm -rf "$(distdir)" \
  200       || { sleep 5 && rm -rf "$(distdir)"; }; \
  201   else :; fi
  202 am__post_remove_distdir = $(am__remove_distdir)
  203 am__relativize = \
  204   dir0=`pwd`; \
  205   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  206   sed_rest='s,^[^/]*/*,,'; \
  207   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  208   sed_butlast='s,/*[^/]*$$,,'; \
  209   while test -n "$$dir1"; do \
  210     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
  211     if test "$$first" != "."; then \
  212       if test "$$first" = ".."; then \
  213         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
  214         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
  215       else \
  216         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
  217         if test "$$first2" = "$$first"; then \
  218           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
  219         else \
  220           dir2="../$$dir2"; \
  221         fi; \
  222         dir0="$$dir0"/"$$first"; \
  223       fi; \
  224     fi; \
  225     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  226   done; \
  227   reldir="$$dir2"
  228 DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
  229 GZIP_ENV = --best
  230 DIST_TARGETS = dist-bzip2 dist-gzip
  231 distuninstallcheck_listfiles = find . -type f -print
  232 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
  233   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
  234 distcleancheck_listfiles = find . -type f -print
  235 ACLOCAL = @ACLOCAL@
  236 ALLOCA = @ALLOCA@
  237 AMTAR = @AMTAR@
  238 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
  239 AUTOCONF = @AUTOCONF@
  240 AUTOHEADER = @AUTOHEADER@
  241 AUTOMAKE = @AUTOMAKE@
  242 AWK = @AWK@
  243 BONJOUR_LDADD = @BONJOUR_LDADD@
  244 CC = @CC@
  245 CCDEPMODE = @CCDEPMODE@
  246 CFLAGS = @CFLAGS@
  247 CONFDIR = @CONFDIR@
  248 CPP = @CPP@
  249 CPPFLAGS = @CPPFLAGS@
  250 CWFLAGS = @CWFLAGS@
  251 CYGPATH_W = @CYGPATH_W@
  252 DEFS = @DEFS@
  253 DEPDIR = @DEPDIR@
  254 ECHO_C = @ECHO_C@
  255 ECHO_N = @ECHO_N@
  256 ECHO_T = @ECHO_T@
  257 EGREP = @EGREP@
  258 EXEEXT = @EXEEXT@
  259 GETLOADAVG_LIBS = @GETLOADAVG_LIBS@
  260 GREP = @GREP@
  261 INSTALL = @INSTALL@
  262 INSTALL_DATA = @INSTALL_DATA@
  263 INSTALL_PROGRAM = @INSTALL_PROGRAM@
  264 INSTALL_SCRIPT = @INSTALL_SCRIPT@
  265 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
  266 KMEM_GROUP = @KMEM_GROUP@
  267 LDAP_SSL_LIBS = @LDAP_SSL_LIBS@
  268 LDFLAGS = @LDFLAGS@
  269 LIBOBJS = @LIBOBJS@
  270 LIBS = @LIBS@
  271 LOCALSTATEDIR = @LOCALSTATEDIR@
  272 LTLIBOBJS = @LTLIBOBJS@
  273 MAINT = @MAINT@
  274 MAKEINFO = @MAKEINFO@
  275 MKDIR_P = @MKDIR_P@
  276 NEED_SETGID = @NEED_SETGID@
  277 OBJEXT = @OBJEXT@
  278 PACKAGE = @PACKAGE@
  279 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
  280 PACKAGE_NAME = @PACKAGE_NAME@
  281 PACKAGE_STRING = @PACKAGE_STRING@
  282 PACKAGE_TARNAME = @PACKAGE_TARNAME@
  283 PACKAGE_URL = @PACKAGE_URL@
  284 PACKAGE_VERSION = @PACKAGE_VERSION@
  285 PATH_SEPARATOR = @PATH_SEPARATOR@
  286 POW_LIB = @POW_LIB@
  287 RANLIB = @RANLIB@
  288 SET_MAKE = @SET_MAKE@
  289 SHELL = @SHELL@
  290 STRIP = @STRIP@
  291 VERSION = @VERSION@
  292 abs_builddir = @abs_builddir@
  293 abs_srcdir = @abs_srcdir@
  294 abs_top_builddir = @abs_top_builddir@
  295 abs_top_srcdir = @abs_top_srcdir@
  296 ac_ct_CC = @ac_ct_CC@
  297 am__include = @am__include@
  298 am__leading_dot = @am__leading_dot@
  299 am__quote = @am__quote@
  300 am__tar = @am__tar@
  301 am__untar = @am__untar@
  302 bindir = @bindir@
  303 build_alias = @build_alias@
  304 builddir = @builddir@
  305 certfile = @certfile@
  306 datadir = @datadir@
  307 datarootdir = @datarootdir@
  308 docdir = @docdir@
  309 dvidir = @dvidir@
  310 exec_prefix = @exec_prefix@
  311 host_alias = @host_alias@
  312 htmldir = @htmldir@
  313 includedir = @includedir@
  314 infodir = @infodir@
  315 install_sh = @install_sh@
  316 keyfile = @keyfile@
  317 libdir = @libdir@
  318 libexecdir = @libexecdir@
  319 localedir = @localedir@
  320 localstatedir = @localstatedir@
  321 mandir = @mandir@
  322 mkdir_p = @mkdir_p@
  323 oldincludedir = @oldincludedir@
  324 pdfdir = @pdfdir@
  325 prefix = @prefix@
  326 program_transform_name = @program_transform_name@
  327 psdir = @psdir@
  328 sbindir = @sbindir@
  329 sharedstatedir = @sharedstatedir@
  330 srcdir = @srcdir@
  331 sysconfdir = @sysconfdir@
  332 target_alias = @target_alias@
  333 top_build_prefix = @top_build_prefix@
  334 top_builddir = @top_builddir@
  335 top_srcdir = @top_srcdir@
  336 doc_DATA = \
  337 	FAQ \
  338 	README.LDAP \
  339 	README.MySQL \
  340 	README.PGSQL \
  341 	README.Configuration-File \
  342 	README.Virtual-Users \
  343 	README.Authentication-Modules \
  344 	README.TLS \
  345 	README.MacOS-X \
  346 	pure-ftpd.conf \
  347 	pureftpd.schema \
  348 	pureftpd-ldap.conf \
  349 	pureftpd-mysql.conf \
  350 	pureftpd-pgsql.conf
  351 
  352 EXTRA_DIST = \
  353 	FAQ \
  354 	HISTORY \
  355 	Makefile.gui \
  356 	README.Authentication-Modules \
  357 	README.Configuration-File \
  358 	README.Donations \
  359 	README.LDAP \
  360 	README.MacOS-X \
  361 	README.MySQL \
  362 	README.PGSQL \
  363 	README.TLS \
  364 	README.Virtual-Users \
  365 	README.Windows \
  366 	THANKS \
  367 	pure-ftpd.conf \
  368 	pure-ftpd.png \
  369 	pureftpd-ldap.conf \
  370 	pureftpd-mysql.conf \
  371 	pureftpd-pgsql.conf \
  372 	pureftpd.schema
  373 
  374 SUBDIRS = \
  375 	puredb \
  376 	src \
  377 	man \
  378 	pam \
  379 	gui \
  380 	m4
  381 
  382 all: config.h
  383 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
  384 
  385 .SUFFIXES:
  386 am--refresh: Makefile
  387 	@:
  388 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
  389 	@for dep in $?; do \
  390 	  case '$(am__configure_deps)' in \
  391 	    *$$dep*) \
  392 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
  393 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
  394 		&& exit 0; \
  395 	      exit 1;; \
  396 	  esac; \
  397 	done; \
  398 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
  399 	$(am__cd) $(top_srcdir) && \
  400 	  $(AUTOMAKE) --gnu Makefile
  401 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  402 	@case '$?' in \
  403 	  *config.status*) \
  404 	    echo ' $(SHELL) ./config.status'; \
  405 	    $(SHELL) ./config.status;; \
  406 	  *) \
  407 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
  408 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
  409 	esac;
  410 
  411 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  412 	$(SHELL) ./config.status --recheck
  413 
  414 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
  415 	$(am__cd) $(srcdir) && $(AUTOCONF)
  416 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
  417 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
  418 $(am__aclocal_m4_deps):
  419 
  420 config.h: stamp-h1
  421 	@test -f $@ || rm -f stamp-h1
  422 	@test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
  423 
  424 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
  425 	@rm -f stamp-h1
  426 	cd $(top_builddir) && $(SHELL) ./config.status config.h
  427 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
  428 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
  429 	rm -f stamp-h1
  430 	touch $@
  431 
  432 distclean-hdr:
  433 	-rm -f config.h stamp-h1
  434 pure-ftpd.conf: $(top_builddir)/config.status $(srcdir)/pure-ftpd.conf.in
  435 	cd $(top_builddir) && $(SHELL) ./config.status $@
  436 install-docDATA: $(doc_DATA)
  437 	@$(NORMAL_INSTALL)
  438 	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
  439 	if test -n "$$list"; then \
  440 	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
  441 	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
  442 	fi; \
  443 	for p in $$list; do \
  444 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
  445 	  echo "$$d$$p"; \
  446 	done | $(am__base_list) | \
  447 	while read files; do \
  448 	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
  449 	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
  450 	done
  451 
  452 uninstall-docDATA:
  453 	@$(NORMAL_UNINSTALL)
  454 	@list='$(doc_DATA)'; test -n "$(docdir)" || list=; \
  455 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
  456 	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
  457 
  458 # This directory's subdirectories are mostly independent; you can cd
  459 # into them and run 'make' without going through this Makefile.
  460 # To change the values of 'make' variables: instead of editing Makefiles,
  461 # (1) if the variable is set in 'config.status', edit 'config.status'
  462 #     (which will cause the Makefiles to be regenerated when you run 'make');
  463 # (2) otherwise, pass the desired values on the 'make' command line.
  464 $(am__recursive_targets):
  465 	@fail=; \
  466 	if $(am__make_keepgoing); then \
  467 	  failcom='fail=yes'; \
  468 	else \
  469 	  failcom='exit 1'; \
  470 	fi; \
  471 	dot_seen=no; \
  472 	target=`echo $@ | sed s/-recursive//`; \
  473 	case "$@" in \
  474 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
  475 	  *) list='$(SUBDIRS)' ;; \
  476 	esac; \
  477 	for subdir in $$list; do \
  478 	  echo "Making $$target in $$subdir"; \
  479 	  if test "$$subdir" = "."; then \
  480 	    dot_seen=yes; \
  481 	    local_target="$$target-am"; \
  482 	  else \
  483 	    local_target="$$target"; \
  484 	  fi; \
  485 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
  486 	  || eval $$failcom; \
  487 	done; \
  488 	if test "$$dot_seen" = "no"; then \
  489 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
  490 	fi; test -z "$$fail"
  491 
  492 ID: $(am__tagged_files)
  493 	$(am__define_uniq_tagged_files); mkid -fID $$unique
  494 tags: tags-recursive
  495 TAGS: tags
  496 
  497 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  498 	set x; \
  499 	here=`pwd`; \
  500 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
  501 	  include_option=--etags-include; \
  502 	  empty_fix=.; \
  503 	else \
  504 	  include_option=--include; \
  505 	  empty_fix=; \
  506 	fi; \
  507 	list='$(SUBDIRS)'; for subdir in $$list; do \
  508 	  if test "$$subdir" = .; then :; else \
  509 	    test ! -f $$subdir/TAGS || \
  510 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
  511 	  fi; \
  512 	done; \
  513 	$(am__define_uniq_tagged_files); \
  514 	shift; \
  515 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  516 	  test -n "$$unique" || unique=$$empty_fix; \
  517 	  if test $$# -gt 0; then \
  518 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  519 	      "$$@" $$unique; \
  520 	  else \
  521 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  522 	      $$unique; \
  523 	  fi; \
  524 	fi
  525 ctags: ctags-recursive
  526 
  527 CTAGS: ctags
  528 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  529 	$(am__define_uniq_tagged_files); \
  530 	test -z "$(CTAGS_ARGS)$$unique" \
  531 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  532 	     $$unique
  533 
  534 GTAGS:
  535 	here=`$(am__cd) $(top_builddir) && pwd` \
  536 	  && $(am__cd) $(top_srcdir) \
  537 	  && gtags -i $(GTAGS_ARGS) "$$here"
  538 cscope: cscope.files
  539 	test ! -s cscope.files \
  540 	  || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
  541 clean-cscope:
  542 	-rm -f cscope.files
  543 cscope.files: clean-cscope cscopelist
  544 cscopelist: cscopelist-recursive
  545 
  546 cscopelist-am: $(am__tagged_files)
  547 	list='$(am__tagged_files)'; \
  548 	case "$(srcdir)" in \
  549 	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  550 	  *) sdir=$(subdir)/$(srcdir) ;; \
  551 	esac; \
  552 	for i in $$list; do \
  553 	  if test -f "$$i"; then \
  554 	    echo "$(subdir)/$$i"; \
  555 	  else \
  556 	    echo "$$sdir/$$i"; \
  557 	  fi; \
  558 	done >> $(top_builddir)/cscope.files
  559 
  560 distclean-tags:
  561 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  562 	-rm -f cscope.out cscope.in.out cscope.po.out cscope.files
  563 
  564 distdir: $(BUILT_SOURCES)
  565 	$(MAKE) $(AM_MAKEFLAGS) distdir-am
  566 
  567 distdir-am: $(DISTFILES)
  568 	$(am__remove_distdir)
  569 	test -d "$(distdir)" || mkdir "$(distdir)"
  570 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  571 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  572 	list='$(DISTFILES)'; \
  573 	  dist_files=`for file in $$list; do echo $$file; done | \
  574 	  sed -e "s|^$$srcdirstrip/||;t" \
  575 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  576 	case $$dist_files in \
  577 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
  578 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  579 			   sort -u` ;; \
  580 	esac; \
  581 	for file in $$dist_files; do \
  582 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  583 	  if test -d $$d/$$file; then \
  584 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  585 	    if test -d "$(distdir)/$$file"; then \
  586 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  587 	    fi; \
  588 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  589 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  590 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  591 	    fi; \
  592 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  593 	  else \
  594 	    test -f "$(distdir)/$$file" \
  595 	    || cp -p $$d/$$file "$(distdir)/$$file" \
  596 	    || exit 1; \
  597 	  fi; \
  598 	done
  599 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
  600 	  if test "$$subdir" = .; then :; else \
  601 	    $(am__make_dryrun) \
  602 	      || test -d "$(distdir)/$$subdir" \
  603 	      || $(MKDIR_P) "$(distdir)/$$subdir" \
  604 	      || exit 1; \
  605 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
  606 	    $(am__relativize); \
  607 	    new_distdir=$$reldir; \
  608 	    dir1=$$subdir; dir2="$(top_distdir)"; \
  609 	    $(am__relativize); \
  610 	    new_top_distdir=$$reldir; \
  611 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
  612 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
  613 	    ($(am__cd) $$subdir && \
  614 	      $(MAKE) $(AM_MAKEFLAGS) \
  615 	        top_distdir="$$new_top_distdir" \
  616 	        distdir="$$new_distdir" \
  617 		am__remove_distdir=: \
  618 		am__skip_length_check=: \
  619 		am__skip_mode_fix=: \
  620 	        distdir) \
  621 	      || exit 1; \
  622 	  fi; \
  623 	done
  624 	-test -n "$(am__skip_mode_fix)" \
  625 	|| find "$(distdir)" -type d ! -perm -755 \
  626 		-exec chmod u+rwx,go+rx {} \; -o \
  627 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
  628 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
  629 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
  630 	|| chmod -R a+r "$(distdir)"
  631 dist-gzip: distdir
  632 	tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
  633 	$(am__post_remove_distdir)
  634 dist-bzip2: distdir
  635 	tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
  636 	$(am__post_remove_distdir)
  637 
  638 dist-lzip: distdir
  639 	tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
  640 	$(am__post_remove_distdir)
  641 
  642 dist-xz: distdir
  643 	tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
  644 	$(am__post_remove_distdir)
  645 
  646 dist-tarZ: distdir
  647 	@echo WARNING: "Support for distribution archives compressed with" \
  648 		       "legacy program 'compress' is deprecated." >&2
  649 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  650 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
  651 	$(am__post_remove_distdir)
  652 
  653 dist-shar: distdir
  654 	@echo WARNING: "Support for shar distribution archives is" \
  655 	               "deprecated." >&2
  656 	@echo WARNING: "It will be removed altogether in Automake 2.0" >&2
  657 	shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
  658 	$(am__post_remove_distdir)
  659 
  660 dist-zip: distdir
  661 	-rm -f $(distdir).zip
  662 	zip -rq $(distdir).zip $(distdir)
  663 	$(am__post_remove_distdir)
  664 
  665 dist dist-all:
  666 	$(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
  667 	$(am__post_remove_distdir)
  668 
  669 # This target untars the dist file and tries a VPATH configuration.  Then
  670 # it guarantees that the distribution is self-contained by making another
  671 # tarfile.
  672 distcheck: dist
  673 	case '$(DIST_ARCHIVES)' in \
  674 	*.tar.gz*) \
  675 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
  676 	*.tar.bz2*) \
  677 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
  678 	*.tar.lz*) \
  679 	  lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
  680 	*.tar.xz*) \
  681 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
  682 	*.tar.Z*) \
  683 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
  684 	*.shar.gz*) \
  685 	  eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
  686 	*.zip*) \
  687 	  unzip $(distdir).zip ;;\
  688 	esac
  689 	chmod -R a-w $(distdir)
  690 	chmod u+w $(distdir)
  691 	mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
  692 	chmod a-w $(distdir)
  693 	test -d $(distdir)/_build || exit 0; \
  694 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
  695 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
  696 	  && am__cwd=`pwd` \
  697 	  && $(am__cd) $(distdir)/_build/sub \
  698 	  && ../../configure \
  699 	    $(AM_DISTCHECK_CONFIGURE_FLAGS) \
  700 	    $(DISTCHECK_CONFIGURE_FLAGS) \
  701 	    --srcdir=../.. --prefix="$$dc_install_base" \
  702 	  && $(MAKE) $(AM_MAKEFLAGS) \
  703 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
  704 	  && $(MAKE) $(AM_MAKEFLAGS) check \
  705 	  && $(MAKE) $(AM_MAKEFLAGS) install \
  706 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
  707 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
  708 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
  709 	        distuninstallcheck \
  710 	  && chmod -R a-w "$$dc_install_base" \
  711 	  && ({ \
  712 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
  713 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
  714 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
  715 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
  716 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
  717 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
  718 	  && rm -rf "$$dc_destdir" \
  719 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
  720 	  && rm -rf $(DIST_ARCHIVES) \
  721 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
  722 	  && cd "$$am__cwd" \
  723 	  || exit 1
  724 	$(am__post_remove_distdir)
  725 	@(echo "$(distdir) archives ready for distribution: "; \
  726 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
  727 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
  728 distuninstallcheck:
  729 	@test -n '$(distuninstallcheck_dir)' || { \
  730 	  echo 'ERROR: trying to run $@ with an empty' \
  731 	       '$$(distuninstallcheck_dir)' >&2; \
  732 	  exit 1; \
  733 	}; \
  734 	$(am__cd) '$(distuninstallcheck_dir)' || { \
  735 	  echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
  736 	  exit 1; \
  737 	}; \
  738 	test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
  739 	   || { echo "ERROR: files left after uninstall:" ; \
  740 	        if test -n "$(DESTDIR)"; then \
  741 	          echo "  (check DESTDIR support)"; \
  742 	        fi ; \
  743 	        $(distuninstallcheck_listfiles) ; \
  744 	        exit 1; } >&2
  745 distcleancheck: distclean
  746 	@if test '$(srcdir)' = . ; then \
  747 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
  748 	  exit 1 ; \
  749 	fi
  750 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
  751 	  || { echo "ERROR: files left in build directory after distclean:" ; \
  752 	       $(distcleancheck_listfiles) ; \
  753 	       exit 1; } >&2
  754 check-am: all-am
  755 check: check-recursive
  756 all-am: Makefile $(DATA) config.h
  757 installdirs: installdirs-recursive
  758 installdirs-am:
  759 	for dir in "$(DESTDIR)$(docdir)"; do \
  760 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  761 	done
  762 install: install-recursive
  763 install-exec: install-exec-recursive
  764 install-data: install-data-recursive
  765 uninstall: uninstall-recursive
  766 
  767 install-am: all-am
  768 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  769 
  770 installcheck: installcheck-recursive
  771 install-strip:
  772 	if test -z '$(STRIP)'; then \
  773 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  774 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  775 	      install; \
  776 	else \
  777 	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  778 	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  779 	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  780 	fi
  781 mostlyclean-generic:
  782 
  783 clean-generic:
  784 
  785 distclean-generic:
  786 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  787 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  788 
  789 maintainer-clean-generic:
  790 	@echo "This command is intended for maintainers to use"
  791 	@echo "it deletes files that may require special tools to rebuild."
  792 clean: clean-recursive
  793 
  794 clean-am: clean-generic mostlyclean-am
  795 
  796 distclean: distclean-recursive
  797 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  798 	-rm -f Makefile
  799 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
  800 
  801 dvi: dvi-recursive
  802 
  803 dvi-am:
  804 
  805 html: html-recursive
  806 
  807 html-am:
  808 
  809 info: info-recursive
  810 
  811 info-am:
  812 
  813 install-data-am: install-data-local install-docDATA
  814 
  815 install-dvi: install-dvi-recursive
  816 
  817 install-dvi-am:
  818 
  819 install-exec-am:
  820 
  821 install-html: install-html-recursive
  822 
  823 install-html-am:
  824 
  825 install-info: install-info-recursive
  826 
  827 install-info-am:
  828 
  829 install-man:
  830 
  831 install-pdf: install-pdf-recursive
  832 
  833 install-pdf-am:
  834 
  835 install-ps: install-ps-recursive
  836 
  837 install-ps-am:
  838 
  839 installcheck-am:
  840 
  841 maintainer-clean: maintainer-clean-recursive
  842 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
  843 	-rm -rf $(top_srcdir)/autom4te.cache
  844 	-rm -f Makefile
  845 maintainer-clean-am: distclean-am maintainer-clean-generic
  846 
  847 mostlyclean: mostlyclean-recursive
  848 
  849 mostlyclean-am: mostlyclean-generic
  850 
  851 pdf: pdf-recursive
  852 
  853 pdf-am:
  854 
  855 ps: ps-recursive
  856 
  857 ps-am:
  858 
  859 uninstall-am: uninstall-docDATA uninstall-local
  860 
  861 .MAKE: $(am__recursive_targets) all install-am install-strip
  862 
  863 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
  864 	am--refresh check check-am clean clean-cscope clean-generic \
  865 	cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
  866 	dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
  867 	distcheck distclean distclean-generic distclean-hdr \
  868 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
  869 	dvi-am html html-am info info-am install install-am \
  870 	install-data install-data-am install-data-local \
  871 	install-docDATA install-dvi install-dvi-am install-exec \
  872 	install-exec-am install-html install-html-am install-info \
  873 	install-info-am install-man install-pdf install-pdf-am \
  874 	install-ps install-ps-am install-strip installcheck \
  875 	installcheck-am installdirs installdirs-am maintainer-clean \
  876 	maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
  877 	pdf-am ps ps-am tags tags-am uninstall uninstall-am \
  878 	uninstall-docDATA uninstall-local
  879 
  880 .PRECIOUS: Makefile
  881 
  882 
  883 install-data-local:
  884 	@$(mkinstalldirs) $(DESTDIR)$(sysconfdir); \
  885 	if [ -f $(DESTDIR)$(sysconfdir)/pure-ftpd.conf ]; then \
  886 		if cmp -s $(srcdir)/pure-ftpd.conf $(docdir)/pure-ftpd.conf; then \
  887 			echo "Configuration file unchanged"; \
  888 		else \
  889 			echo "The example configuration file [$(docdir)/pure-ftpd.conf] has been updated."; \
  890 			echo "You may want to compare it with the one at [$(DESTDIR)$(sysconfdir)/pure-ftpd.conf]."; \
  891 		fi; \
  892 	else \
  893 		$(INSTALL_DATA) $(srcdir)/pure-ftpd.conf $(DESTDIR)$(sysconfdir)/pure-ftpd.conf; \
  894 	fi
  895 
  896 uninstall-local:
  897 	@if cmp -s $(srcdir)/pure-ftpd.conf $(DESTDIR)$(sysconfdir)/pure-ftpd.conf; then \
  898 		echo "$(DESTDIR)$(sysconfdir)/pure-ftpd.conf has not changed and will be removed."; \
  899 		rm -f $(DESTDIR)$(sysconfdir)/pure-ftpd.conf; \
  900 		rmdir $(DESTDIR)$(sysconfdir) 2> /dev/null ||:; \
  901 	fi
  902 
  903 # Tell versions [3.59,3.63) of GNU make to not export all variables.
  904 # Otherwise a system limit (for SysV at least) may be exceeded.
  905 .NOEXPORT: